<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myReturDocumentLabel" jhiTranslate="mpmApp.returDocument.home.createOrEditLabel">Create or edit a Retur Document</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!returDocument.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="returDocument.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.returDocument.iddocretur" for="field_iddocretur">Iddocretur</label>
            <input type="text" class="form-control" name="iddocretur" id="field_iddocretur"
                [(ngModel)]="returDocument.iddocretur"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.returDocument.idretur" for="field_idretur">Idretur</label>
            <input type="text" class="form-control" name="idretur" id="field_idretur"
                [(ngModel)]="returDocument.idretur"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.returDocument.doctype" for="field_doctype">Doctype</label>
            <input type="text" class="form-control" name="doctype" id="field_doctype"
                [(ngModel)]="returDocument.doctype"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.returDocument.doc" for="field_doc">Doc</label>
            <div>
                <div *ngIf="returDocument.doc" class="form-text text-danger clearfix">
                    <a class="pull-left" (click)="openFile(returDocument.docContentType, returDocument.doc)" jhiTranslate="entity.action.open">open</a><br>
                    <span class="pull-left">{{returDocument.docContentType}}, {{byteSize(returDocument.doc)}}</span>
                    <button type="button" (click)="returDocument.doc=null;returDocument.docContentType=null;"
                            class="btn btn-secondary btn-xs pull-right">
                        <span class="fa fa-times"></span>
                    </button>
                </div>
                <input type="file" id="file_doc" (change)="setFileData($event, returDocument, 'doc', false)" jhiTranslate="entity.action.addblob"/>
            </div>
            <input type="hidden" class="form-control" name="doc" id="field_doc"
                [(ngModel)]="returDocument.doc"  />
            <input type="hidden" class="form-control" name="docContentType" id="field_docContentType"
                [(ngModel)]="returDocument.docContentType" />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.returDocument.docname" for="field_docname">Docname</label>
            <input type="text" class="form-control" name="docname" id="field_docname"
                [(ngModel)]="returDocument.docname"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
